QWSMouseHandler(3qt)

NAME
QWSMouseHandler - Mouse driver/handler for Qt/Embedded

#include <qwsmouse_qws.h>

Inherits QObject.

Inherited by QCalibratedMouseHandler.

  Public Members
QWSMouseHandler ()
virtual ~QWSMouseHandler ()
virtual void clearCalibration ()
virtual void calibrate ( QWSPointerCalibrationData * )

  Signals
void mouseChanged ( const QPoint & pos, int bstate )

DESCRIPTION
Mouse driver/handler for Qt/Embedded

The mouse driver/handler handles events from system devices and generates mouse events.

A QWSMouseHandler will usually open some system device in its constructor, create a QSocketNotifier on that opened device and when it receives data, it will call mouseChanged() to send the event to Qt/Embedded for relaying to clients.

MEMBER FUNCTION DOCUMENTATION

QWSMouseHandler::QWSMouseHandler ()
Constructs a mouse handler. This becomes the primary mouse handler.

Note that once created, mouse handlers are controlled by the system and should not be deleted.

QWSMouseHandler::~QWSMouseHandler () [virtual]
Destructs the mouse handler. You should not invoked this directly.

SEE ALSO
http://doc.trolltech.com/qwsmousehandler.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qwsmousehandler.3qt) and the Qt version (2.3.1).